# Generated by Django 3.1.1 on 2020-10-14 17:47

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('story5_app', '0003_auto_20201014_1705'),
    ]

    operations = [
        migrations.AlterField(
            model_name='matakuliah',
            name='deskripsi',
            field=models.TextField(max_length=120, verbose_name='Deskripsi Mata Kuliah '),
        ),
        migrations.AlterField(
            model_name='matakuliah',
            name='jumlah_sks',
            field=models.PositiveSmallIntegerField(default=1, validators=[django.core.validators.MaxValueValidator(24), django.core.validators.MinValueValidator(1)], verbose_name='Jumlah SKS '),
        ),
        migrations.AlterField(
            model_name='matakuliah',
            name='matakuliah',
            field=models.CharField(max_length=120, verbose_name='Mata Kuliah '),
        ),
        migrations.AlterField(
            model_name='matakuliah',
            name='namaDosen',
            field=models.CharField(max_length=120, verbose_name='Nama Dosen '),
        ),
        migrations.AlterField(
            model_name='matakuliah',
            name='ruangKelas',
            field=models.CharField(default='Online Class', max_length=120, verbose_name='Ruang Kelas '),
        ),
        migrations.AlterField(
            model_name='matakuliah',
            name='semester',
            field=models.CharField(choices=[('Gasal 2019/2020', 'Gasal 2019/2020'), ('Genap 2019/2020', 'Genap 2019/2020'), ('Gasal 2020/2021', 'Gasal 2020/2021'), ('Genap 2020/2021', 'Genap 2020/2021'), ('Others', 'Others')], max_length=120, verbose_name='Semester '),
        ),
    ]
